#include <string.h>

#include "syllable.h"

/***********************************************************************************//**
 * ctor
 **************************************************************************************/
cSyllable::cSyllable(  )
{
  Erase( );
}

/***********************************************************************************//**
 * dtor
 **************************************************************************************/
cSyllable::~cSyllable(  )
{
}

/***********************************************************************************//**
 * initialise a void syllable
 **************************************************************************************/
void cSyllable::Erase( void )
{
  m_theSyllable[0] = 0;
  m_start = 0;
  m_duration = 0;
  m_note = 0;
}

/***********************************************************************************//**
 * define a syllable
 *
 * @param [in] start :
 * @param [in] duration :
 * @param [in] note :
 * @param [in] syllable :
 *
 * @return : 1
 **************************************************************************************/
int cSyllable::Set( int start, int duration, int note, const char *syllable )
{
  strncpy( m_theSyllable, syllable, MAXCHARSYLLABLE-1 );

  m_start = start;
  m_duration = duration;
  m_note = note;

  return ( 1 );
}
